Subject: Re: linux-next: Tree for Aug 7 (mm/khugepaged.c)

From: Andrew Morton <[email-masked]>
Date: Wed, 7 Aug 2019 13:10:29 -0700

On Wed, 7 Aug 2019 16:59:14 +0000 Song Liu <[email-masked]> wrote:

> Hi Randy,
> 
> > On Aug 7, 2019, at 8:11 AM, Randy Dunlap <[email-masked]> wrote:
> > 
> > On 8/7/19 1:36 AM, Stephen Rothwell wrote:
> >> Hi all,
> >> 
> >> Changes since 20190806:
> >> 
> > 
> > on i386:
> > 
> > when CONFIG_SHMEM is not set/enabled:
> > 
> > ../mm/khugepaged.c: In function ‘khugepaged_scan_mm_slot’:
> > ../mm/khugepaged.c:1874:2: error: implicit declaration of function ‘khugepaged_collapse_pte_mapped_thps’; did you mean ‘collapse_pte_mapped_thp’? [-Werror=implicit-function-declaration]
> >  khugepaged_collapse_pte_mapped_thps(mm_slot);
> >  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Thanks for the report. 
> 
> Shall I resend the patch, or shall I send fix on top of current patch?

Either is OK.  If the difference is small I will turn it into an
incremental patch so that I (and others) can see what changed.